#pragma once

#include <stddef.h>

typedef struct JSMallocFunctions JSMallocFunctions;

void tf_mem_replace_uv_allocator();
size_t tf_mem_get_uv_malloc_size();

void tf_mem_replace_tls_allocator();
size_t tf_mem_get_tls_malloc_size();

size_t tf_mem_get_tf_malloc_size();

void* tf_malloc(size_t size);
void* tf_realloc(void* ptr, size_t size);
void tf_free(void* ptr);
char* tf_strdup(const char* string);

void* tf_resize_vec(void* ptr, size_t size);

void tf_get_js_malloc_functions(JSMallocFunctions* out);
size_t tf_mem_get_js_malloc_size();
